Account

Deploy the EVM counterfactual for one chain (relayer-submitted, passkey-authorized)

POST
/account/evm/{chainRef}/activate

Authorization

cookieAuth
pid_access<token>

JWT access token set by /auth/google/callback or /auth/refresh

In: cookie

Path Parameters

chainRef*string

CAIP-2 reference (e.g. 97, 10143)

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

application/json

application/json

curl -X POST "https://example.com/account/evm/string/activate" \  -H "Content-Type: application/json" \  -d '{    "quotedNetworkFeeWei": "string",    "feePolicyVersion": 0,    "deadline": 0,    "assertion": {      "id": "string",      "r": "string",      "s": "string",      "authenticatorData": "string",      "clientDataJSON": "string"    }  }'
{  "pid": "string",  "chainReference": "string",  "status": "string",  "smartAccountAddress": "string",  "deployed": true,  "balanceWei": "string",  "requiredWei": "string",  "networkFeeWei": "string",  "protocolFeeBps": 0}